incr/decr functions: to be used in packages
Status: Closed Start date: 03 Apr 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Cleaning Estimated time: 1.50 hour

Target version: CoCoA-5.1.1 Seoul14 Spent time: 2.00 hours

Description

use incr when possible in packages

Related issues:

Related to CoCoA-5 - Design #364: Incr command/function Closed 03 Jun 2013

Related to CoCoA-5 - Feature #504: New operators: +=  -=  *=  /= In Progress 02 Apr 2014

Related to CoCoA-5 - Slug #1275: incr and decr are slow New 29 Apr 2019

History

#1 - 04 Apr 2014 00:11 - John Abbott

Wouldn't it be better to wait for the outcome of #504 before changing the packages?

#2 - 04 Apr 2014 07:27 - Anna Maria Bigatti

John Abbott wrote:

Wouldn't it be better to wait for the outcome of #504 before changing the packages?

 

John Abbott wrote: #364

Using fgrep "+1;" *.cpkg5 produced about 30 lines which could be modified to use incr or decr.

Let's try in one file, and compare before and after to see what we think.

 

Let's try them both in one file... ;-)

#3 - 04 Apr 2014 07:38 - John Abbott

"incr" is most used in list.cpkg5 for QuickSort1 and QuickSortBy1.

Anyway, you're right that we can assess how the code looks without actually having to implement += operator.
#4 - 09 Apr 2014 17:46 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#5 - 18 Jul 2014 16:08 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 20

John Abbott wrote:

"incr" is most used in list.cpkg5 for QuickSort1 and QuickSortBy1.

 

I updated the code and it works fine.

I think it is a good thing because it "reads well".

I also changed the Swap code and actually used the new swap function.  Readablility++!

#6 - 22 Jul 2014 07:44 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 20 to 90

All done (I think).

If/when we make += it'll be easy to search for incr/decr

#7 - 27 Aug 2014 18:11 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#8 - 15 Sep 2014 18:27 - Anna Maria Bigatti

- Subject changed from incr function: to be used in packages to incr/decr functions: to be used in packages

#9 - 29 Apr 2019 17:53 - John Abbott

- Related to Slug #1275: incr and decr are slow added
